Const CONFIG_FILE = "PurgeConfig.xml"
Const DAYS_TO_KEEP = 2

Dim strSourceConfigFile : strSourceConfigFile = WScript.Arguments(0)
Dim strTargetConfigFile : strTargetConfigFile = WScript.Arguments(1)
Dim intDaysToKeep : intDaysToKeep = CInt(WScript.Arguments(2))

Dim objDom : Set objDom = WScript.CreateObject("MSXML2.DomDocument")
objDom.Load strSourceConfigFile 
Dim domPublishTransactions : Set domPublishTransactions = objDom.SelectSingleNode("//PublishTransactions")
domPublishTransactions.SetAttribute "Before", FormatDate(DateAdd("D",-1 * intDaysToKeep ,Date()))
objDom.Save strTargetConfigFile 

Function FormatDate(d)
	FormatDate = Year(d) & "-" & PadMe(Month(d),2) & "-" & PadMe(Day(d),2)
End Function

Function PadMe(s,l)
	While Len(s) < l
		s = "0" & s
	Wend
	PadMe = s
End Function